Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.loader.rmi
Class RmiCacheServer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.cache.loader.rmi.RmiCacheServer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, RmiCacheServerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class RmiCacheServer

extends org.jboss.system.ServiceMBeanSupport
implements RmiCacheServerMBean

Server which exports an RMI stub to the TreeCache. Clients can use the RmiDelegatingCacheLoader to remotely delegate to this TreeCache

Version:
  $Id: RmiCacheServer.java,v 1.2 2006/02/03 16:37:10 msurtani Exp $
Author:
  Bela Ban

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`RmiCacheServer(java.lang.String host, int port, java.lang.String bindName, java.lang.String config)`

Method Summary
`void` | `createService()`
`void` | `destroyService()`
`java.lang.String` | `getBindAddress()`
`java.lang.String` | `getBindName()`
`TreeCacheMBean` | `getCache()`
`java.lang.String` | `getCacheName()`
`java.lang.String` | `getConfig()`
`java.lang.String` | `getMBeanServerName()`
`int` | `getPort()`
`static void` | `main(java.lang.String[] args)`
`void` | `setBindAddress(java.lang.String bindAddress)`
`void` | `setBindName(java.lang.String bindName)`
`void` | `setCache(TreeCacheMBean cache)`
`void` | `setCacheName(java.lang.String cacheName)`
`void` | `setConfig(java.lang.String config)`
`void` | `setMBeanServerName(java.lang.String name)`
`void` | `setPort(int port)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### RmiCacheServer

    public RmiCacheServer(java.lang.String host,
                          int port,
                          java.lang.String bindName,
                          java.lang.String config)

Method Detail

### getBindAddress

    public java.lang.String getBindAddress()

  Specified by:
    `getBindAddress` in interface `RmiCacheServerMBean`

### setBindAddress

    public void setBindAddress(java.lang.String bindAddress)

  Specified by:
    `setBindAddress` in interface `RmiCacheServerMBean`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `RmiCacheServerMBean`

### setPort

    public void setPort(int port)

  Specified by:
    `setPort` in interface `RmiCacheServerMBean`

### getMBeanServerName

    public java.lang.String getMBeanServerName()

  Specified by:
    `getMBeanServerName` in interface `RmiCacheServerMBean`

### setMBeanServerName

    public void setMBeanServerName(java.lang.String name)

  Specified by:
    `setMBeanServerName` in interface `RmiCacheServerMBean`

### getConfig

    public java.lang.String getConfig()

  Specified by:
    `getConfig` in interface `RmiCacheServerMBean`

### setConfig

    public void setConfig(java.lang.String config)

  Specified by:
    `setConfig` in interface `RmiCacheServerMBean`

### getCache

    public TreeCacheMBean getCache()

  Specified by:
    `getCache` in interface `RmiCacheServerMBean`

### setCache

    public void setCache(TreeCacheMBean cache)

  Specified by:
    `setCache` in interface `RmiCacheServerMBean`

### getCacheName

    public java.lang.String getCacheName()

  Specified by:
    `getCacheName` in interface `RmiCacheServerMBean`

### setCacheName

    public void setCacheName(java.lang.String cacheName)
                      throws javax.management.MalformedObjectNameException

  Specified by:
    `setCacheName` in interface `RmiCacheServerMBean`
  Throws:
    `javax.management.MalformedObjectNameException`

### getBindName

    public java.lang.String getBindName()

  Specified by:
    `getBindName` in interface `RmiCacheServerMBean`

### setBindName

    public void setBindName(java.lang.String bindName)

  Specified by:
    `setBindName` in interface `RmiCacheServerMBean`

### createService

    public void createService()
                       throws java.lang.Exception

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`

### destroyService

    public void destroyService()
                        throws java.lang.Exception

  Overrides:
    `destroyService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.